#!/bin/bash

# Variables[TOCAR AQUI]

#PROXY='http://127.0.0.1:3128/'

ARCH="i386,amd64"
DIST="stretch,buster"
SECTIONS_PHP="main"
SECTIONS_NGX="nginx"
REPO_PHP="packages.sury.org"
REPO_MARIADB="mirror2.hs-esslingen.de"
REPO_NGINX="nginx.org"

#JUST CHANGE THIS!!!
OUT_DIR="/var/www/html/webdev"

# NO MODIFICAR DEBAJO!!!

#############################
# MIRROR_NOW!!!
#############################

# If proxy, add below --proxy=$PROXY

# PHP 7.3
debmirror --method=https --host=$REPO_PHP --root=php --keyring=apt.gpg \
 --dist=$DIST --section=$SECTIONS_PHP --arch=$ARCH --progress --verbose \
 --md5sums --nosource --timeout=3600 --postcleanup --ignore-missing-release --rsync-extra=none \
 --ignore-release-gpg --ignore-small-errors --exclude='-dbg_' --exclude='-dbgsym_' $OUT_DIR/php7

# MariaDB 10.4
debmirror --method=http --host=$REPO_MARIADB --root=mariadb/repo/10.4/debian \
 --dist=$DIST --section=$SECTIONS_PHP --arch=$ARCH --progress --verbose \
 --md5sums --nosource --timeout=3600 --postcleanup --ignore-missing-release --rsync-extra=none \
 --ignore-release-gpg --ignore-small-errors --exclude='-dbg_' --exclude='-dbgsym_' $OUT_DIR/mariadb

# Nginx 
debmirror --method=http --host=$REPO_NGINX --root=packages/mainline/debian \
 --dist=$DIST --section=$SECTIONS_NGX --arch=$ARCH --progress --verbose \
 --md5sums --nosource --timeout=3600 --postcleanup --ignore-missing-release --rsync-extra=none \
 --ignore-release-gpg --ignore-small-errors --exclude='-dbg_' --exclude='-dbgsym_' $OUT_DIR/nginx
